Subject: [PATCH 30/31] ARM: shmobile: r8a7791: add USB-DMAC device nodes

From: [email-masked] (Sergei Shtylyov)
Date: Wed, 30 Sep 2015 23:10:47 +0300

On 09/30/2015 09:44 AM, Geert Uytterhoeven wrote:

>>> From: Yoshihiro Shimoda <[email-masked]>
>>>
>>> Signed-off-by: Yoshihiro Shimoda <[email-masked]>
>>> Acked-by: Geert Uytterhoeven <[email-masked]>
>>> Signed-off-by: Simon Horman <[email-masked]>
>>> ---
>>>    arch/arm/boot/dts/r8a7791.dtsi | 22 ++++++++++++++++++++++
>>>    1 file changed, 22 insertions(+)

>>     When the USB-DMAC driver is enabled, this causes kernel oops on at least
>> the R8A7791 Henninger/Porter boards (haven't checked the others yet) with
>> renesas-devel-20150928-v4.3-rc3 and even earlier tag. The oops can only be
>> seen with the earlyprintk=serial kernel parameter, otherwise the kernel just
>> hangs with a blank console.
>
> My current kernel on r8a7791/koelsch has CONFIG_RENESAS_USB_DMAC=y and boots
> fine.
>
> renesas-devel-20150928-v4.3-rc3 with shmobile_defconfig +
> CONFIG_RENESAS_USB_DMAC=y also boots fine.

    Indeed, I was able to boot it all the way on Henninger.

> Do I need to enable/disable config options to trigger this?

    It appears so. I just don't know what -- the diff between my .config and 
shmobile_defconfig is 150+ hunks. :-(

> Gr{oetje,eeting}s,
>                          Geert

MBR, Sergei